Version 1.8. This version is supported as outlined in the Anthos version support policy, offering the latest patches and updates for security vulnerabilities, exposures, and issues impacting Anthos clusters on VMware (GKE on-prem). Refer to the release notes for more details. This is not the most recent version.

Ingress migration

This document shows how to upgrade to version 1.8 from a 1.7 user cluster that has an Isto Gateway object.

Overview

In version 1.8 of Anthos clusters on VMware (GKE on-prem), the ingress mechanism has changed substantially from previous versions.

In versions prior to 1.8, you enabled ingress by creating an Istio Gateway object. Then you could create Ingress objects.

In version 1.8, you do not create a Gateway object. You can create Ingress objects as usual.

To upgrade to 1.8 from a 1.7 user cluster that has ingress enabled, you must first run a tool that converts the old ingress mechanism to the new one.

To check to see whether you need to run the tool, attempt to upgrade the user cluster:

gkectl upgrade cluster --kubeconfig ADMIN_CLUSTER_KUBECONFIG --config USER_CLUSTER_CONFIG

If you see the following error, then you need to run the tool:

- Validation Category: Ingress
    Running validation check for "User cluster Ingress"... /
    - [FAILURE] User cluster Ingress: detected usage of unsupported Ingress, ...

Here are the steps:

  1. Follow the instructions for using the migration tool.

  2. After resolving any issues remember to annotate the Gateway object.

  3. Continue with the regular upgrade process.

If your cluster has ingress enabled, skipping the migration step might result in traffic disruption for all services using ingress.

What's next

Create a Service and an Ingress